#include "players.h"

BITMAP* HBall::GetNext()
{
 if (frame<BALL_MAX_FRAMES-1 && random()%10==0) frame++;
    else frame= 0;
 if (player== -1)
  { x+= xplus;
    y+= yplus;
    if (xplus<0) xplus+= 0.3;
    if (xplus>0) xplus-= 0.3;
    if (yplus<0) yplus+= 0.3;
    if (yplus>0) yplus-= 0.3;
    if (xplus>-0.3 && xplus<0.3) xplus=0;
    if (yplus>-0.3 && yplus<0.3) yplus=0;
  } else
  { xplus=0;
    yplus=0;
  }
 return bmp[frame];
}

void HBall::GoTo(int _x,int _y,int shot /*= FALSE*/)
{
 double pod= 13;

 if (shot) pod= 10;
 xplus= (_x-x)/pod;
 yplus= (_y-y)/pod;
 sh= shot;
}

int HBall::Load()
{
 PALETTE pal;
 BITMAP *tmp= load_bitmap("ball.pcx",pal);
 for (int i= 0;i< BALL_MAX_FRAMES;i++)
  {
   bmp[i]= create_bitmap(11,11);
   blit(tmp,bmp[i],i*11,0,0,0,11,11);
  }
 destroy_bitmap(tmp);
}

BITMAP* HPlayer::GetBitmap()
{
 if (bmp[go].cnt< PLAYER_MAX_FRAMES-1) bmp[go].cnt++;
 else bmp[go].cnt= 0;
 return bmp[go].frm[bmp[go].cnt];
}

void HPlayer::GO(int sm,int xpl,int ypl)
{
 go= sm;
 x+= xpl;
 y+= ypl;
}

int HPlayer::Load(int co)
{
 PALETTE pal;
 BITMAP *tmp;

 if (co==0) tmp= load_bitmap("player0.pcx",pal);
       else tmp= load_bitmap("player1.pcx",pal);


 for (int i=0;i<8;i++)
   {
    bmp[i].frm[0]= create_bitmap(tmp->w,tmp->h);
    clear_to_color(bmp[i].frm[0],makecol(0xff,0,0xff));
    rotate_sprite(bmp[i].frm[0],tmp,0,0,itofix(32*i));
   }

 destroy_bitmap(tmp);
}




